Subject: Re: Windows API calls that don't work? (Was RE: Stupid stupid question :/)
From: [email-masked] (Chin Chee-Kai)

24 Mar 1997 07:18:01 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Authentication-Warning: gatekeeper.gen.co.jp: smap set sender to <[email-masked]> using -f
Original-To: Colin Peters <[email-masked]>
Original-Cc: "'A. Phillip Smith'" <[email-masked]>,
        "'GNU-Win32'" <[email-masked]>
In-Reply-To: <01BC386B.709FACA0@gbird0>
Original-Sender: [email-masked]

I am not sure the talk about "unstripped binaries don't run on
WinNT" is applicable in general.

I've got Mingw32 installed on b17.1 WinNT4.0.  But there was
no problem running unstripped or stripped executables.  Is your
reference on Win3.51 or a very specific stress-test program?

BTW, stripped *.o files still don't compile up to an executable
(this works on Unix alright).   I got:
  C:\cygnus\H-i386-..../lib/libcygwin.a(libcmain.o): In function
	`main':
	/pizza/mushroom/noer/beta17/src/winsup/libcmain.cc:30:
	undefined reference to `WinMain@16'

==> "strip.exe" overstripped.

Chin Chee-Kai (Last, First)
Internet Email-ID:	[email-masked]

On Mon, 24 Mar 1997, Colin Peters wrote:

> >A. Phillip Smith[SMTP:[email-masked]] wrote:
> >
> >[...snipped...]
> >
> >This is further complicted on Windows NT by the fact that unless you strip
> >the executable, the binary will not run.
>
> [...snipped...]
> 
> PS. Any confirmations on that statement about NT from other readers?
>     Does stripping an executable make it work? Do you *have* to strip
>     on NT?

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".